// Programmed by Taeho Oh
// Email : ohhara@postech.ac.kr

#include <iostream.h>
#include <gtk--.h>

class HelloWorld : public Gtk_Window
{
	Gtk_Button b;
public:
	HelloWorld() : b( "Say Hello World" )
	{
		add( &b );
		connect_to_method( b.clicked, this, &say_helloworld );
		connect_to_method( b.enter, this, &enter_helloworld );
		connect_to_method( b.leave, this, &leave_helloworld );
		b.show();
	}
	gint delete_event_impl( GdkEventAny* gdkeventany )
	{
		cout << "Delete" <<endl;
		Gtk_Main::instance()->quit(); 
		return 0;
	}
	void say_helloworld()
	{
		cout << "Hello World" <<endl;
	}
	void enter_helloworld()
	{
		cout << "Hi" <<endl;
	}
	void leave_helloworld()
	{
		cout << "Good Bye" <<endl;
	}
};


int main( int argc, char **argv )
{
	Gtk_Main m( &argc, &argv );
	HelloWorld w;

	w.set_usize( 100, 20 ); 
	w.show();

	m.run();
	return 0;
}
