// Programmed by Taeho Oh
// Email : ohhara@postech.ac.kr

#include <iostream.h>
#include <gtk--.h>

class HelloWorld : public Gtk_Window
{
	Gtk_VBox vbox1;
	Gtk_CheckButton cb1;
	Gtk_CheckButton cb2;
	Gtk_CheckButton cb3;
public:
	HelloWorld() : cb1( "Hi" ), cb2( "Hello" ), cb3( "Good day" )
	{
		add( &vbox1 );
		vbox1.pack_start( &cb1, false, false );
		vbox1.pack_start( &cb2, false, false );
		vbox1.pack_start( &cb3, false, false );
		connect_to_method( cb1.toggled, this, &check_button );
		connect_to_method( cb2.toggled, this, &check_button );
		connect_to_method( cb3.toggled, this, &check_button );
		cb1.show();
		cb2.show();
		cb3.show();
		vbox1.show();
	}
	gint delete_event_impl(GdkEventAny *)
	{
		Gtk_Main::instance()->quit(); 
		return 0;
	} 
	void check_button()
	{
		cout << "Hi : " << cb1.get_state() << endl;
		cout << "Hello : " << cb2.get_state() << endl;
		cout << "Good day : " << cb3.get_state() << endl;
		cout << endl;
	}
};

int main( int argc, char **argv )
{
	Gtk_Main m( &argc, &argv );
	HelloWorld w;

	w.set_usize( 100, 100 ); 
	w.show();

	m.run();
	return 0;
}
