// Programmed by Taeho Oh
// Email : ohhara@postech.ac.kr

#include <iostream.h>
#include <gtk--.h>

class FileSelection : public Gtk_Window
{
	Gtk_Button b1;
	Gtk_FileSelection fs1;
public:
	FileSelection() : b1( "Show File Selection Dialog" ), fs1("Select File")
	{
		add( &b1 );
		connect_to_method( b1.clicked, this, &show_fileselection );
		connect_to_method( fs1.ok_button.clicked, this, &ok_fileselection );
		connect_to_method( fs1.cancel_button.clicked, this, &cancel_fileselection );
		b1.show();
	}
	gint delete_event_impl( GdkEventAny* gdkeventany )
	{
		Gtk_Main::instance()->quit(); 
		return 0;
	}
	void show_fileselection()
	{
		fs1.set_filename("gtkfileselection1.cc");
		fs1.show();
	}
	void ok_fileselection()
	{
		cout << "OK " << fs1.get_filename() << endl;
		fs1.hide();
	}
	void cancel_fileselection()
	{
		cout << "Cancel " << fs1.get_filename() << endl;
		fs1.hide();
	}
};


int main( int argc, char **argv )
{
	Gtk_Main m( &argc, &argv );
	FileSelection w;

	w.set_usize( 200, 20 ); 
	w.show();

	m.run();
	return 0;
}
