// Programmed by Taeho Oh
// Email : ohhara@postech.ac.kr

#include <iostream.h>
#include <gtk--.h>

class HelloWorld : public Gtk_Window
{
	Gtk_HBox hbox1;
	Gtk_ToggleButton tb1;
	Gtk_ToggleButton tb2;
	Gtk_ToggleButton tb3;
public:
	HelloWorld() : hbox1(true), tb1( "Hi" ), tb2( "Hello" ), tb3( "Good day" )
	{
		add( &hbox1 );
		hbox1.add( &tb1 );
		hbox1.add( &tb2 );
		hbox1.add( &tb3 );
		connect_to_method( tb1.toggled, this, &toggle_button );
		connect_to_method( tb2.toggled, this, &toggle_button );
		connect_to_method( tb3.toggled, this, &toggle_button );
		tb1.show();
		tb2.show();
		tb3.show();
		hbox1.show();
	}
	gint delete_event_impl(GdkEventAny *)
	{
		Gtk_Main::instance()->quit(); 
		return 0;
	} 
	void toggle_button()
	{
		cout << "Hi : " << tb1.get_state() << endl;
		cout << "Hello : " << tb2.get_state() << endl;
		cout << "Good day : " << tb3.get_state() << endl;
		cout << endl;
	}
};

int main( int argc, char **argv )
{
	Gtk_Main m( &argc, &argv );
	HelloWorld w;

	w.set_usize( 200, 20 ); 
	w.show();

	m.run();
	return 0;
}
