// Programmed by Taeho Oh
// Email : ohhara@postech.ac.kr

#include <iostream.h>
#include <gtk--.h>

class Tree : public Gtk_Window
{
	Gtk_Tree tr1;
	Gtk_TreeItem ti1_1;
	Gtk_TreeItem ti1_2;
	Gtk_TreeItem ti1_3;

	Gtk_Tree tr2;
	Gtk_TreeItem ti2_1;
	Gtk_TreeItem ti2_2;
	Gtk_TreeItem ti2_3;

	Gtk_Tree tr3;
	Gtk_TreeItem ti3_1;
	Gtk_TreeItem ti3_2;

	Gtk_Tree tr4;
	Gtk_TreeItem ti4_1;
public:
	Tree() : ti1_1( "Movie" ), ti1_2( "Music" ), ti1_3( "Language" ), ti2_1( "Speed" ), ti2_2( "Terminator" ), ti2_3( "Superman" ), ti3_1( "Classic" ), ti3_2( "Pop" ), ti4_1( "English" )
	{
		tr1.set_view_mode( GTK_TREE_VIEW_ITEM );
		tr1.set_selection_mode( GTK_SELECTION_MULTIPLE );
		tr1.set_view_lines( false );
		add( &tr1 );
		tr1.append( &ti1_1 );
		tr1.append( &ti1_2 );
		tr1.append( &ti1_3 );
		tr2.append( &ti2_1 );
		tr2.append( &ti2_2 );
		tr2.append( &ti2_3 );
		tr3.append( &ti3_1 );
		tr3.append( &ti3_2 );
		tr4.append( &ti4_1 );
		ti1_1.set_subtree( &tr2 );
		ti1_2.set_subtree( &tr3 );
		ti1_3.set_subtree( &tr4 );
		ti1_1.show();
		ti1_2.show();
		ti1_3.show();
		ti2_1.show();
		ti2_2.show();
		ti2_3.show();
		ti3_1.show();
		ti3_2.show();
		ti4_1.show();
		tr1.show();
	}
	gint delete_event_impl( GdkEventAny* gdkeventany )
	{
		Gtk_Main::instance()->quit(); 
		return 0;
	}
};


int main( int argc, char **argv )
{
	Gtk_Main m( &argc, &argv );
	Tree w;

	w.set_usize( 200, 500 ); 
	w.show();

	m.run();
	return 0;
}
