// Programmed by Taeho Oh
// Email : ohhara@postech.ac.kr

#include <iostream.h>
#include <gtk--.h>

class HelloWorld : public Gtk_Window
{
	Gtk_VBox vbox1;
	Gtk_RadioButton rb1, rb2, rb3;
public:
	HelloWorld() : rb1( NULL, "Hi"), rb2( rb1.group(), "Hello"),
		rb3( rb2.group(), "Good day" )
	{
		add( &vbox1 );
		vbox1.pack_start( &rb1, false, false );
		vbox1.pack_start( &rb2, false, false );
		vbox1.pack_start( &rb3, false, false );
		connect_to_method( rb1.toggled, this, &toggle_button );
		connect_to_method( rb2.toggled, this, &toggle_button );
		connect_to_method( rb3.toggled, this, &toggle_button );
		rb1.show();
		rb2.show();
		rb3.show();
		vbox1.show();
	}
	gint delete_event_impl(GdkEventAny *)
	{
		Gtk_Main::instance()->quit(); 
		return 0;
	} 
	void toggle_button()
	{
		cout << "Hi : " << rb1.get_state() << endl;
		cout << "Hello : " << rb2.get_state() << endl;
		cout << "Good day : " << rb3.get_state() << endl;
		cout << endl;
	}
};

int main( int argc, char **argv )
{
	Gtk_Main m( &argc, &argv );
	HelloWorld w;

	w.set_usize( 100, 100 ); 
	w.show();

	m.run();
	return 0;
}
